API reference
GET /api/v1/files
Files stored under the current project.
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
limit | integer | no | Maximum number of items to return. |
cursor | string | no | Opaque pagination cursor from a previous response. |
Response
Content-Type application/json. Cache-Control public, max-age=60.
{
"object": "list",
"data": [
{
"id": "fil_0hswmlekp493ff",
"created_at": "2023-10-06T06:33:55Z",
"filename": "gmzrxhhj.zip",
"bytes": 15908791,
"checksum": "sha256:8owrwxgplfd24cvwf8ej4icmbori94pn"
},
{
"id": "fil_mzubhjkv49pxrh",
"created_at": "2023-12-15T15:42:31Z",
"filename": "pd5pffpu.zip",
"bytes": 11991570,
"checksum": "sha256:kqten8qxb530e4wmzqarkxlhssxktfjv"
},
{
"id": "fil_hsu8m9qoyg72w7",
"created_at": "2023-06-29T10:21:14Z",
"filename": "ghz7c5dc.csv",
"bytes": 10475858,
"checksum": "sha256:xwikg2ud5hnqhrc1u6shs23w61xpm1ra"
},
{
"id": "fil_j5rgvhe5xa2fji",
"created_at": "2023-08-03T04:42:02Z",
"filename": "r4oa1k08.pdf",
"bytes": 14304230,
...Example
curl -s https://solo.brightquill.org/api/v1/files